<?php

namespace App\Models;

class Vaccine extends BaseModel
{
    //
    public static $_post_type = [
        1=>"Ⅰ类疫苗",
        2=>"Ⅱ类疫苗"
    ];
    //导入格式
    protected $fillable = ['type','price',"name","remark","supplier",'stock','states'];

    public function organization()
    {
        return $this->belongsToMany(Organization::class,'org_id');
    }

    public function organizationvaccines(){
        return $this->hasMany(OrganizationVaccines::class,'vaccine_id');
    }
}
